Bug 217248 - convert jpeg to pdf fails
convert jpeg to pdf fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 16:08 EST by Pierre Thibaudeau
Modified: 2008-04-26 03:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 03:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Thibaudeau 2006-11-25 16:08:52 EST
Description of problem:

"convert *.jpg album.pdf" hangs indefinitely, with no CPU or disk activity. When
interrupted with Ctrl-C, the pdf file is just a few hundred bytes.

Version-Release number of selected component (if applicable):

ImageMagick-6.2.8.0-3.fc6.1

Additional info:

Dont know with which release it stopped working, but it works as expected with
ImageMagick-6.2.2.0-3.fc4.2 (on FC4). i.e. the pdf output file is a clean pdf
wrap around the jpeg images.
Comment 1 Gilboa Davara 2007-02-08 01:28:12 EST
/+1. Works just fine on FC5 - fails on FC6.

gdb trace:

$ gdb convert
[snip]
(gdb) r initial-contract-00??.jpg initial-contract.pdf
Starting program: /usr/bin/convert initial-contract-00??.jpg initial-contract.pdf
[snip]
<Wait 50 seconds, Ctrl-C...>
Program received signal SIGINT, Interrupt.
[Switching to Thread 46912496317456 (LWP 19957)]
0x00000033e220c7f8 in __lll_mutex_lock_wait () from /lib64/libpthread.so.0
(gdb) bt
#0  0x00000033e220c7f8 in __lll_mutex_lock_wait () from /lib64/libpthread.so.0
#1  0x00000033e2208864 in _L_mutex_lock_107 () from /lib64/libpthread.so.0
#2  0x00000033e2208303 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x000000308d8ec599 in LockSemaphoreInfo () from /usr/lib64/libMagick.so.10
#4  0x000000308d859c4d in WriteImage () from /usr/lib64/libMagick.so.10
#5  0x000000308d83c434 in ImageToBlob () from /usr/lib64/libMagick.so.10
#6  0x000000308d8564cb in JPEGEncodeImage () from /usr/lib64/libMagick.so.10
#7  0x00002aaac214c0c4 in RegisterPDFImage ()
   from /usr/lib64/ImageMagick-6.2.8/modules-Q16/coders/pdf.so
#8  0x000000308d8597d1 in WriteImage () from /usr/lib64/libMagick.so.10
#9  0x000000308d859edd in WriteImages () from /usr/lib64/libMagick.so.10
#10 0x000000308dc29b73 in ConvertImageCommand () from /usr/lib64/libWand.so.10
#11 0x0000000000400c3e in ?? ()
#12 0x00000033e161da44 in __libc_start_main () from /lib64/libc.so.6
#13 0x0000000000400a89 in ?? ()
#14 0x00007fff5e748908 in ?? ()
#15 0x0000000000000000 in ?? ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y

$ ls -l *.pdf
-rw-r--r-- 1 gilboa users 1089 Feb  8 08:24 initial-contract.pdf

Regression of http://www.imagemagick.org/pipermail/magick-bugs/2002-May/000189.html?

- Gilboa
Comment 2 Bug Zapper 2008-04-04 00:56:35 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Gilboa Davara 2008-04-04 03:14:53 EDT
Seems to work just fine under F8.
AFAICS this bug can be closed.

- Gilboa
Comment 4 Hans de Goede 2008-04-26 03:32:42 EDT
Short intro: I'm a new co-maintainer of ImageMagick and as such walking through
all open bugs. I can confirm Gliboa's comment that this is fixed now, so I'm
closing this.

Note You need to log in before you can comment on or make changes to this bug.